Index: trunk/SophyaProg/PrgMap/Makefile
===================================================================
--- trunk/SophyaProg/PrgMap/Makefile	(revision 3813)
+++ trunk/SophyaProg/PrgMap/Makefile	(revision 3879)
@@ -39,5 +39,6 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrap2sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)cl2map.o: cl2map.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -70,4 +71,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -91,5 +97,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -225,5 +230,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrap2sph.cc
  
-$(SOPHYAOBJP)extrapsph.o: extrapsph.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -277,5 +283,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrapsph.cc
  
-$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)map2cl.o: map2cl.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -308,4 +315,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -329,5 +341,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -356,5 +367,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  map2cl.cc
  
-$(SOPHYAOBJP)prjsmap.o: prjsmap.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -387,4 +399,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -408,5 +425,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
Index: trunk/SophyaProg/PrgMap/smakefile
===================================================================
--- trunk/SophyaProg/PrgMap/smakefile	(revision 3813)
+++ trunk/SophyaProg/PrgMap/smakefile	(revision 3879)
@@ -39,5 +39,6 @@
 	$(CXXLINK) $(CXXTEMPFLG) -o $@ $(SOPHYAOBJP)extrap2sph.o $(SOPHYAEXTSLBLIST)
  
-$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)cl2map.o: cl2map.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -70,4 +71,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -91,5 +97,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -225,5 +230,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrap2sph.cc
  
-$(SOPHYAOBJP)extrapsph.o: extrapsph.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)skymapinit.h \
@@ -277,5 +283,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  extrapsph.cc
  
-$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)map2cl.o: map2cl.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -308,4 +315,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -329,5 +341,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
@@ -356,5 +367,6 @@
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  map2cl.cc
  
-$(SOPHYAOBJP)prjsmap.o: prjsmap.cc $(SOPHYAINCP)sopnamsp.h \
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)machdefs.h \
   $(SOPHYAINCP)nbmath.h \
@@ -387,4 +399,9 @@
   $(SOPHYAINCP)sopemtx.h \
   $(SOPHYAINCP)arrctcast.h \
+  $(SOPHYAINCP)spesqmtx.h \
+  $(SOPHYAINCP)diagmtx.h \
+  $(SOPHYAINCP)spesqmtx_tsnl.h \
+  $(SOPHYAINCP)trngmtx.h \
+  $(SOPHYAINCP)symmtx.h \
   $(SOPHYAINCP)skymap.h \
   $(SOPHYAINCP)spherethetaphi.h \
@@ -408,5 +425,4 @@
   $(SOPHYAINCP)alm.h \
   $(SOPHYAINCP)nbmath.h \
-  $(SOPHYAINCP)trngmtx.h \
   $(SOPHYAINCP)bruit.h \
   $(SOPHYAINCP)circle.h \
